# aprendepython

Librería de código abierto diseñada para enseñar los fundamentos del lenguaje
Python.

## Contenido

El curso se centra en temas básicos de Python, insipirado en el contenido de la
sección _Learn the Basics_ de [learnpython.org](https://learnpython.org/)

Los temas incluyen:

- Variables y tipos de datos
- Operadores aritméticos, relacionales y lógicos
- Condicionales
- Ciclos
- Funciones
- Clases y objetos

## Instalación

Para utilizar aprendepython es necesario contar con Python 3.7 o superior
instalado en el sistema. Después, instala la librería utilizando pip con el
siguiente comando:

```sh
pip install aprendepython
```

> Nota: Se puede utilizar entornos virtuales en caso de haber problemas con la
> instalación global. Para más información sobre entornos virtuales visita
> [Creación de entornos virtuales](https://docs.python.org/3/library/venv.html).

## Uso

Para comenzar a usar el curso interactivo, solo necesitas importar la librería
en un entorno de Python y llamar la función `comenzar()`:

```python
import aprendepython

aprendepython.comenzar()
```

Al iniciar el curso por primera vez se mostrará una introducción que indica la
forma de interactuar con las lecciones y navegar por el menú.

## Contribuciones

Las contribuciones de la comunidad son valoradas y bienvenidas, ya sea para
mejorar el contenido del curso o integrar mejoras al código. Si deseas colaborar
en el desarrollo, puedes seguir estos pasos:

1. Realiza un fork del proyecto.
2. Realiza cambios en el código o las lecciones.
3. Haz un pull request a este proyecto para revisar los cambios e integrar tus
   contribuciones.

## Licencia

Este proyecto se distribuye bajo la licencia MIT, indicando que es de código
abierto y que puede utilizarse libremente en otros proyectos. Para más detalles,
consulta el archivo [LICENSE](LICENSE).
